### Signal

# Gtk ListView::activate

since: 4.0

#### Declaration

    void
    activate (
      GtkListView* self,
      guint position,
      gpointer user_data
    )

#### Description [src]

Emitted when a row has been activated by the user, usually via activating the GtkListView|list.activate-item action.

This allows for a convenient way to handle activation in a listview. See `gtk_list_item_set_activatable()` for details on how to use this signal.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`position`

  Type: `guint`

  Position of item to activate.